///城市站点打开关闭
function InitCity() {
    jQuery("#citysite, #citypage").bind('mouseover', function(event) {
        if (jQuery("#citypage").is(':hidden')) {
            jQuery("#citypage").show();
        }
    });
    jQuery("#citypage").bind('mouseout', function() {
        jQuery("#citypage").hide();
    });
}
 //==========================================
 // create by cjp 2009-01
 // 省-市-县三级联动
 //==========================================
function listArea(id)
{
    var j=1;
    document.getElementById(id).options[0]= new Option("省份", "");
    for(var i=0;i<Area.length;i++){
        if(Area[i][1].length==2)
        {
            document.getElementById(id).options[j]= new Option( Area[i][0], Area[i][1]);
            j++;
        }
    }
}

 function listprovince(provinceid)
    {
        document.getElementById(provinceid).length=1;
        document.getElementById(provinceid).options[0]= new Option("省份", "");
        for(var i=1;i<Area.length;i++){
            if(Area[i][1].length==2)
            {
                document.getElementById(provinceid).options[document.getElementById(provinceid).length]= new Option( Area[i][0], Area[i][1]);
            }
        }        
    }
 
function changecity(provinceid,cityid,Districtid)
{        
    document.getElementById(cityid).options[0]= new Option("请选择", ""); 
    if(document.getElementById(provinceid).value!="")
    {
        document.getElementById(cityid).value="";
        document.getElementById(cityid).style.display="block";
        document.getElementById(cityid).length=1;
        for(var i=1;i<Area.length;i++)
        {
            if(document.getElementById(provinceid).value==Area[i][1].substring(0,2) && Area[i][1].length==4)
            {                    
                document.getElementById(cityid).options[document.getElementById(cityid).length]= new Option( Area[i][0], Area[i][1]);
            }
        }             
        document.getElementById(Districtid).value=""; 
        changeDistrict(cityid,Districtid); 
    }
    else
    {
        document.getElementById(cityid).value="";
        document.getElementById(Districtid).value="";
        document.getElementById(cityid).style.display="none";
        document.getElementById(Districtid).style.display="none";
    }
}

function changeDistrict(cityid,Districtid)
{  
    document.getElementById(Districtid).options[0]= new Option("请选择", ""); 
    if(document.getElementById(cityid).value!="")
    {
        document.getElementById(Districtid).style.display="block";
        document.getElementById(Districtid).length=1;
        for(var i=1;i<Area.length;i++)
        {
            if(document.getElementById(cityid).value==Area[i][1].substring(0,4) && Area[i][1].length==6)
            {                    
                document.getElementById(Districtid).options[document.getElementById(Districtid).length]= new Option( Area[i][0], Area[i][1]);
            }
        }
    }
    else
    {
         document.getElementById(Districtid).value="";
        document.getElementById(Districtid).style.display="none";
    }
}


function changecity2(provinceid,cityid)
{        
    //document.getElementById(cityid).options[0]= new Option("请选择", ""); 
    if(document.getElementById(provinceid).value!="")
    {
        $("#"+cityid+"").show(); /*如果选择了省份 这里先显示市下拉框*/
        $("#"+cityid+"").empty();  /*清空上一次绑定数据*/
        document.getElementById(cityid).options[0]= new Option("请选择", ""); 
        for(var i=1;i<Area.length;i++)
        {
            if(document.getElementById(provinceid).value==Area[i][1].substring(0,2) && Area[i][1].length==4)
            {                    
                document.getElementById(cityid).options[document.getElementById(cityid).length]= new Option( Area[i][0], Area[i][1]);
            }
        }             
    }
    else
    {
        document.getElementById(cityid).value="";
        document.getElementById(cityid).style.display="none";
    }
}

Subcat = new Array();
Subcat[0] = new Array("园长/副园长","10","1001")
Subcat[1] = new Array("园长助理","10","1002")
Subcat[2] = new Array("幼儿教师","10","1003")
Subcat[3] = new Array("幼儿英语教师","10","1004")
Subcat[4] = new Array("幼儿舞蹈教师","10","1005")
Subcat[5] = new Array("幼儿音乐教师","10","1006")
Subcat[6] = new Array("幼儿钢琴教师","10","1007")
Subcat[7] = new Array("幼儿美术教师","10","1008")
Subcat[8] = new Array("幼儿保健医生","10","1009")
Subcat[9] = new Array("幼儿生活教师/保育员","10","1010")
Subcat[10] = new Array("幼儿类其他","10","1011")
Subcat[11] = new Array("中小学校长/副校长","11","1101")
Subcat[12] = new Array("教导主任/年级主任","11","1102")
Subcat[13] = new Array("中小学各科教师","11","1103")
Subcat[14] = new Array("小学语文教师","11","1104")
Subcat[15] = new Array("小学数学教师","11","1105")
Subcat[16] = new Array("小学英语教师","11","1106")
Subcat[17] = new Array("小学自然教师","11","1107")
Subcat[18] = new Array("小学音乐教师","11","1108")
Subcat[19] = new Array("小学美术教师","11","1109")
Subcat[20] = new Array("小学体育教师","11","1110")
Subcat[21] = new Array("小学电脑教师","11","1111")
Subcat[22] = new Array("初中语文教师","11","1112")
Subcat[23] = new Array("初中数学教师","11","1113")
Subcat[24] = new Array("初中英语教师","11","1114")
Subcat[25] = new Array("初中物理教师","11","1115")
Subcat[26] = new Array("初中化学教师","11","1116")
Subcat[27] = new Array("初中历史教师","11","1117")
Subcat[28] = new Array("初中地理教师","11","1118")
Subcat[29] = new Array("初中科学教师","11","1119")
Subcat[30] = new Array("初中政治教师","11","1120")
Subcat[31] = new Array("初中生物教师","11","1121")
Subcat[32] = new Array("初中音乐教师","11","1122")
Subcat[33] = new Array("初中美术教师","11","1123")
Subcat[34] = new Array("初中体育教师","11","1124")
Subcat[35] = new Array("初中信息技术教师","11","1125")
Subcat[36] = new Array("高中语文教师","11","1126")
Subcat[37] = new Array("高中数学教师","11","1127")
Subcat[38] = new Array("高中英语教师","11","1128")
Subcat[39] = new Array("高中物理教师","11","1129")
Subcat[40] = new Array("高中化学教师","11","1130")
Subcat[41] = new Array("高中历史教师","11","1131")
Subcat[42] = new Array("高中地理教师","11","1132")
Subcat[43] = new Array("高中政治教师","11","1133")
Subcat[44] = new Array("高中生物教师","11","1134")
Subcat[45] = new Array("高中音乐教师","11","1135")
Subcat[46] = new Array("高中美术教师","11","1136")
Subcat[47] = new Array("高中体育教师","11","1137")
Subcat[48] = new Array("高中信息技术教师","11","1138")
Subcat[49] = new Array("中小学其他教师","11","1139")
Subcat[50] = new Array("幼儿类","0","10")
Subcat[51] = new Array("幼儿教研主任","10","1012")
Subcat[52] = new Array("中学心理教师","11","1140")
Subcat[53] = new Array("校长/副校长","12","1201")
Subcat[54] = new Array("校长/副校长","13","1301")
Subcat[55] = new Array("对外汉语教师","14","1401")
Subcat[56] = new Array("教务/行政","16","1601")
Subcat[57] = new Array("课外辅导教师","17","1701")
Subcat[58] = new Array("书画教师","18","1801")
Subcat[59] = new Array("雅思教师","19","1901")
Subcat[60] = new Array("网络办公培训教师","20","2001")
Subcat[61] = new Array("单证报关培训教师","21","2101")
Subcat[62] = new Array("中小学类","0","11")
Subcat[63] = new Array("其他才艺教师","10","1013")
Subcat[64] = new Array("中学双语教师","11","1141")
Subcat[65] = new Array("院长/副院长","12","1202")
Subcat[66] = new Array("院长/副院长","13","1302")
Subcat[67] = new Array("人事/财务","16","1602")
Subcat[68] = new Array("课外家教","17","1702")
Subcat[69] = new Array("舞蹈教师","18","1802")
Subcat[70] = new Array("托福教师","19","1902")
Subcat[71] = new Array("软件工程培训教师","20","2002")
Subcat[72] = new Array("电子商务师培训教师","21","2102")
Subcat[73] = new Array("大学类","0","12")
Subcat[74] = new Array("蒙氏幼儿教师","10","1014")
Subcat[75] = new Array("通用技术教师","11","1142")
Subcat[76] = new Array("系主任/教务主任","12","1203")
Subcat[77] = new Array("系主任/教务主任","13","1303")
Subcat[78] = new Array("图书管理/信息中心","16","1603")
Subcat[79] = new Array("高复班教师","17","1703")
Subcat[80] = new Array("健身教师","18","1803")
Subcat[81] = new Array("GRE教师","19","1903")
Subcat[82] = new Array("应用软件培训教师","20","2003")
Subcat[83] = new Array("公关员培训教师","21","2103")
Subcat[84] = new Array("职校类","0","13")
Subcat[85] = new Array("教授","12","1204")
Subcat[86] = new Array("中职各科教师","13","1304")
Subcat[87] = new Array("教材编辑","16","1604")
Subcat[88] = new Array("考研辅导教师","17","1704")
Subcat[89] = new Array("武术教师","18","1804")
Subcat[90] = new Array("GMET教师","19","1904")
Subcat[91] = new Array("网络工程培训教师","20","2004")
Subcat[92] = new Array("秘书培训教师","21","2104")
Subcat[93] = new Array("副教授","12","1205")
Subcat[94] = new Array("高职教授/副教授","13","1305")
Subcat[95] = new Array("实验室教师","16","1605")
Subcat[96] = new Array("自考辅导教师","17","1705")
Subcat[97] = new Array("形体教师","18","1805")
Subcat[98] = new Array("基础英语","19","1905")
Subcat[99] = new Array("程序开发培训教师","20","2005")
Subcat[100] = new Array("人力资源管理师培训教师","21","2105")
Subcat[101] = new Array("招生/后勤类","0","16")
Subcat[102] = new Array("讲师","12","1206")
Subcat[103] = new Array("高职讲师/助教","13","1306")
Subcat[104] = new Array("招生主任","16","1606")
Subcat[105] = new Array("远程教育教师","17","1706")
Subcat[106] = new Array("演艺教师","18","1806")
Subcat[107] = new Array("商务英语","19","1906")
Subcat[108] = new Array("网页设计培训教师","20","2006")
Subcat[109] = new Array("信息管理师培训教师","21","2106")
Subcat[110] = new Array("助教","12","1207")
Subcat[111] = new Array("职校其他","13","1307")
Subcat[112] = new Array("招生专员","16","1607")
Subcat[113] = new Array("外辅类其他","17","1707")
Subcat[114] = new Array("珠心算教师","18","1807")
Subcat[115] = new Array("新概念英语","19","1907")
Subcat[116] = new Array("平面设计培训教师","20","2007")
Subcat[117] = new Array("物业管理员培训教师","21","2107")
Subcat[118] = new Array("特长培训类","0","18")
Subcat[119] = new Array("大学其他","12","1208")
Subcat[120] = new Array("营销人员","16","1608")
Subcat[121] = new Array("摄影教师","18","1808")
Subcat[122] = new Array("少儿英语","19","1908")
Subcat[123] = new Array("硬件维护培训教师","20","2008")
Subcat[124] = new Array("项目管理师培训教师","21","2108")
Subcat[125] = new Array("外语培训类","0","19")
Subcat[126] = new Array("预算人员","16","1609")
Subcat[127] = new Array("声乐教师","18","1809")
Subcat[128] = new Array("成人英语","19","1909")
Subcat[129] = new Array("网络安全培训教师","20","2009")
Subcat[130] = new Array("心理咨询师培训教师","21","2109")
Subcat[131] = new Array("IT培训类","0","20")
Subcat[132] = new Array("出纳会计","16","1610")
Subcat[133] = new Array("钢琴教师","18","1810")
Subcat[134] = new Array("其他英语","19","1910")
Subcat[135] = new Array("其他IT培训教师","20","2010")
Subcat[136] = new Array("营销师培训教师","21","2110")
Subcat[137] = new Array("技能培训类","0","21")
Subcat[138] = new Array("法务人员","16","1611")
Subcat[139] = new Array("小提琴教师","18","1811")
Subcat[140] = new Array(" 日语教师","19","1911")
Subcat[141] = new Array("钳工培训教师","21","2111")
Subcat[142] = new Array("其他类","0","14")
Subcat[143] = new Array("校医","16","1612")
Subcat[144] = new Array("电子琴教师","18","1812")
Subcat[145] = new Array("法语教师","19","1912")
Subcat[146] = new Array("汽车维修检验培训教师","21","2112")
Subcat[147] = new Array("司机/保安","16","1613")
Subcat[148] = new Array("萨克斯教师","18","1813")
Subcat[149] = new Array("德语教师","19","1913")
Subcat[150] = new Array("车工培训教师","21","2113")
Subcat[151] = new Array("厨师","16","1614")
Subcat[152] = new Array("二胡教师","18","1814")
Subcat[153] = new Array("俄语教师","19","1914")
Subcat[154] = new Array("铣工培训教师","21","2114")
Subcat[155] = new Array("管理后勤其他","16","1615")
Subcat[156] = new Array("长笛教师","18","1815")
Subcat[157] = new Array("韩语教师","19","1915")
Subcat[158] = new Array("磨工培训教师","21","2115")
Subcat[159] = new Array("生活老师","16","1616")
Subcat[160] = new Array("琵琶教师","18","1816")
Subcat[161] = new Array("泰语教师","19","1916")
Subcat[162] = new Array("模具培训教师","21","2116")
Subcat[163] = new Array("古筝教师","18","1817")
Subcat[164] = new Array("越南语教师","19","1917")
Subcat[165] = new Array("印刷培训教师","21","2117")
Subcat[166] = new Array("其他器乐教师","18","1818")
Subcat[167] = new Array("意大利语教师","19","1918")
Subcat[168] = new Array("数控培训教师","21","2118")
Subcat[169] = new Array("棋类教师","18","1819")
Subcat[170] = new Array("西班牙语教师","19","1919")
Subcat[171] = new Array("组合机床操作培训教师","21","2119")
Subcat[172] = new Array("球类教师","18","1820")
Subcat[173] = new Array("葡萄牙语教师","19","1920")
Subcat[174] = new Array("加工中心操作培训教师","21","2120")
Subcat[175] = new Array("其他特长","18","1821")
Subcat[176] = new Array("阿拉伯语教师","19","1921")
Subcat[177] = new Array("焊工培训教师","21","2121")
Subcat[178] = new Array("笛子教师","18","1822")
Subcat[179] = new Array("其他外语教师","19","1922")
Subcat[180] = new Array("花卉工培训教师","21","2122")
Subcat[181] = new Array("美术教师","18","1823")
Subcat[182] = new Array("绿化工培训教师","21","2123")
Subcat[183] = new Array("医药商品购销培训教师","21","2124")
Subcat[184] = new Array("中药调剂员培训教师","21","2125")
Subcat[185] = new Array("中式烹调师培训教师","21","2126")
Subcat[186] = new Array("中式面点师培训教师","21","2127")
Subcat[187] = new Array("西式烹调师培训教师","21","2128")
Subcat[188] = new Array("调酒师培训教师","21","2129")
Subcat[189] = new Array("茶艺师培训教师","21","2130")
Subcat[190] = new Array("餐厅服务员培训教师","21","2131")
Subcat[191] = new Array("客房服务员培训教师","21","2132")
Subcat[192] = new Array("保健按摩师培训教师","21","2133")
Subcat[193] = new Array("插花员培训教师","21","2134")
Subcat[194] = new Array("美容师培训教师","21","2135")
Subcat[195] = new Array("美发师培训教师","21","2136")
Subcat[196] = new Array("摄影师培训教师","21","2137")
Subcat[197] = new Array("眼镜验光员培训教师","21","2138")
Subcat[198] = new Array("眼镜定配工培训教师","21","2139")
Subcat[199] = new Array("修脚师培训教师","21","2140")
Subcat[200] = new Array("电器维修培训教师","21","2141")
Subcat[201] = new Array("制冷设备维修培训教师","21","2142")
Subcat[202] = new Array("家政服务员培训教师","21","2143")
Subcat[203] = new Array("推销员培训教师","21","2144")
Subcat[204] = new Array("营业员培训教师","21","2145")
Subcat[205] = new Array("收银员培训教师","21","2146")
Subcat[206] = new Array("保管员培训教师","21","2147")
Subcat[207] = new Array("工程测量工培训教师","21","2148")
Subcat[208] = new Array("电工培训教师","21","2149")
Subcat[209] = new Array("维修电工培训教师","21","2150")
Subcat[210] = new Array("计算机调试工培训教师","21","2151")
Subcat[211] = new Array("架子工培训教师","21","2152")
Subcat[212] = new Array("沥青混凝土摊铺机操作培训","21","2153")
Subcat[213] = new Array("公路养护工培训教师","21","2154")
Subcat[214] = new Array("管道工培训教师","21","2155")
Subcat[215] = new Array("电气设备安装培训教师","21","2156")
Subcat[216] = new Array("平地机操作工培训教师","21","2157")
Subcat[217] = new Array("中小型机械操作培训教师","21","2158")
Subcat[218] = new Array("装饰美工培训教师","21","2159")
Subcat[219] = new Array("制冷工培训教师","21","2160")
Subcat[220] = new Array("建筑材料试验培训教师","21","2161")
Subcat[221] = new Array("土工试验工培训教师","21","2162")
Subcat[222] = new Array("烘焙工培训教师","21","2163")
Subcat[223] = new Array("糕点装饰工培训教师","21","2164")
Subcat[224] = new Array("汽车驾驶员培训教师","21","2165")
Subcat[225] = new Array("起重装卸机械操作培训教师","21","2166")
Subcat[226] = new Array("录音师培训教师","21","2167")
Subcat[227] = new Array("化妆师培训教师","21","2168")
Subcat[228] = new Array("室内装饰设计培训教师","21","2169")
Subcat[229] = new Array("其他技能培训教师","21","2170")

Subcat[230] = new Array("课程顾问","16","1617") /*2010-08-23 by wby*/

//==================================
// 岗位类型大类 create by cjp
//================================
function loadbigclass(bigclassid,smallclassid)
{
    var j=1;    
    document.getElementById(bigclassid).options[0]= new Option("请选择岗位类型", "");
    document.getElementById(smallclassid).options[0]= new Option("请选择小类", "");
    document.getElementById(smallclassid).disabled=true;     
    for(var i=0;i<Subcat.length;i++){
        if(Subcat[i][1]=="0")
        {
            document.getElementById(bigclassid).options[j]= new Option( Subcat[i][0], Subcat[i][2]);
            j++;
        }
    }
}
//==================================
// 岗位类型大类 create by cjp
//================================
function setupbigclass(id)
{
    var j=1;
    document.getElementById(id).options[0]= new Option("请选择岗位类型", "");
    for(var i=0;i<Subcat.length;i++){
        if(Subcat[i][1]=="0")
        {
            document.getElementById(id).options[j]= new Option( Subcat[i][0], Subcat[i][2]);
            j++;
        }
    }
}

//==================================
// 岗位类型小类 create by cjp
//================================
function setupsmallClass(bigclassid,smallclassid)
{
    if(document.getElementById(bigclassid).value!="")
    {
        var bigclassName="";
        for(var i=0;i<Subcat.length;i++)
        {
            if(Subcat[i][2]==document.getElementById(bigclassid).value)
            {
                bigclassName=Subcat[i][0];
                break;
            }
        }
        document.getElementById(smallclassid).disabled=false;      
        document.getElementById(smallclassid).length=0;
        document.getElementById(smallclassid).options[0]= new Option("请选择"+bigclassName+"小类", "");
         for(var i=0;i<Subcat.length;i++)
         {
            if(document.getElementById(bigclassid).value==Subcat[i][1])
            {
                document.getElementById(smallclassid).options[document.getElementById(smallclassid).length]=new Option( Subcat[i][0], Subcat[i][2]);
            }     
         }
    }
    else
    {   
        document.getElementById(smallclassid).innerHTML = "";
        document.getElementById(smallclassid).options[0]= new Option("请选择小类", "");
        document.getElementById(smallclassid).disabled=true;     
    }
}
//==================================
// 读取岗位名称 create by cjp
//================================
 function getjobclassname(code)
{
    var name="";
    if(code!=""){
        for(var i=0;i<Subcat.length;i++)
        {
            if(code==Subcat[i][2]){
                name=Subcat[i][0];
                break;
            }
        }
    }
    document.write(name+"&nbsp;");
} 